This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846356 - trap -p not displaying ignored signal when run from child bash
trap -p not displaying ignored signal when run from child bash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bash (Show other bugs)
7.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ondrej Oprala
Branislav Náter
: ManPageChange, Regression
Depends On: 504904
Blocks: 768949
  Show dependency treegraph
 
Reported: 2012-08-07 10:43 EDT by Branislav Náter
Modified: 2016-01-31 21:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 504904
Environment:
Last Closed: 2014-06-13 06:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 7 Roman Rakus 2013-08-09 07:29:52 EDT
Manpage is correct.
Comment 8 Branislav Náter 2013-11-04 09:58:59 EST
Behaviour is correctly documeted in man page from bash-4.2.45-2.el7 (signals cannot be even listed):

"Signals  ignored upon entry to the shell cannot be trapped, reset or listed."
Comment 9 Ludek Smid 2014-06-13 06:26:17 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.